libvncserver-devel-0.9.7-7.el6_6.1.x86_64.rpm


Advertisement

Description

libvncserver-devel - Development files for libvncserver

Property Value
Distribution CentOS 6
Repository CentOS x86_64
Package filename libvncserver-devel-0.9.7-7.el6_6.1.x86_64.rpm
Package name libvncserver-devel
Package version 0.9.7
Package release 7.el6_6.1
Package architecture x86_64
Package type rpm
Category Development/Libraries
Homepage http://libvncserver.sourceforge.net/
License GPLv2+
Maintainer -
Download size 45.49 KB
Installed size 179.12 KB
Development files for libvncserver.

Alternatives

Package Version Architecture Repository
libvncserver-devel-0.9.9-9.el6.1.x86_64.rpm 0.9.9 x86_64 OKey
libvncserver-devel-0.9.7-7.el6_6.1.i686.rpm 0.9.7 i686 CentOS
libvncserver-devel-0.9.7-7.el6_6.1.i686.rpm 0.9.7 i686 CentOS
libvncserver-devel - - -

Requires

Name Value
coreutils -
libvncclient.so.0()(64bit) -
libvncserver = 0.9.7-7.el6_6.1
libvncserver.so.0()(64bit) -

Provides

Name Value
LibVNCServer-devel = 0.9.7-7.el6_6.1
libvncserver-devel = 0.9.7-7.el6_6.1
libvncserver-devel(x86-64) = 0.9.7-7.el6_6.1

Download

Type URL
Mirror mirror.centos.org
Binary Package libvncserver-devel-0.9.7-7.el6_6.1.x86_64.rpm
Source Package libvncserver-0.9.7-7.el6_6.1.src.rpm

Install Howto

Install libvncserver-devel rpm package:

# yum install libvncserver-devel

Files

Path
/usr/bin/libvncserver-config
/usr/include/rfb/keysym.h
/usr/include/rfb/rfb.h
/usr/include/rfb/rfbclient.h
/usr/include/rfb/rfbconfig.h
/usr/include/rfb/rfbint.h
/usr/include/rfb/rfbproto.h
/usr/include/rfb/rfbregion.h
/usr/lib64/libvncclient.so
/usr/lib64/libvncserver.so

Changelog

2014-10-31 - Petr Pisar <ppisar@redhat.com> - 0.9.7-7.1
- Fix CVE-2014-6051 (integer overflow in screen size handling) (bug #1157668)
- Fix CVE-2014-6052 (NULL pointer dereference in framebuffer setup)
(bug #1157668)
- Fix CVE-2014-6053 (NULL pointer dereference in ClientCutText message
handling) (bug #1157668)
- Fix CVE-2014-6054 (server divide-by-zero in scaling factor handling)
(bug #1157668)
- Fix CVE-2014-6055 (server stacked-based buffer overflow in file transfer
handling) (bug #1157668)
2011-05-06 - Petr Pisar <ppisar@redhat.com> - 0.9.7-7
- Revert CVE-2011-0904 and CVE-2011-0905 patch because libvncserver is not
vulnerable (bug #696767)
2011-04-27 - Petr Pisar <ppisar@redhat.com> - 0.9.7-6
- Fix CVE-2011-0904 and CVE-2011-0905 in more generic way (bug #696767)
2011-04-20 - Petr Pisar <ppisar@redhat.com> - 0.9.7-5
- Fix CVE-2011-0904 (bug #696767)
- Fix CVE-2011-0905 (bug #696767)
2010-02-18 - Stepan Kasal <skasal@redhat.com> - 0.9.7-4
- repack the tarball, there are .jar files without any source
- do not BR findutils, they are guaranteed in Fedora mock
- fix obsolete, so that it covers only packages created before this
spec was added to Fedora
2009-11-30 - Dennis Gregorovic <dgregor@redhat.com> - 0.9.7-3.1
- Rebuilt for RHEL 6
2009-07-25 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
2009-05-23 - Rex Dieter <rdieter@fedoraproject.org> - 0.9.7-3
- Socket is not closed when disconnecting from server (#501895)
2009-05-04 - Rex Dieter <rdieter@fedoraproject.org> - 0.9.7-2
- fix detection of LINUX platform/define
2009-05-04 - Rex Dieter <rdieter@fedoraproject.org> - 0.9.7-1
- LibVNCServer-0.9.7

See Also

Package Description
libvoikko-2.2.2-1.el6.i686.rpm Voikko is a library for spellcheckers and hyphenators
libvoikko-2.2.2-1.el6.x86_64.rpm Voikko is a library for spellcheckers and hyphenators
libvoikko-devel-2.2.2-1.el6.i686.rpm Development files for libvoikko
libvoikko-devel-2.2.2-1.el6.x86_64.rpm Development files for libvoikko
libvorbis-1.2.3-5.el6_9.1.i686.rpm The Vorbis General Audio Compression Codec
libvorbis-1.2.3-5.el6_9.1.x86_64.rpm The Vorbis General Audio Compression Codec
libvorbis-devel-1.2.3-5.el6_9.1.i686.rpm Development tools for Vorbis applications
libvorbis-devel-1.2.3-5.el6_9.1.x86_64.rpm Development tools for Vorbis applications
libvorbis-devel-docs-1.2.3-5.el6_9.1.noarch.rpm Documentation for developing Vorbis applications
libvpx-1.3.0-5.el6_5.i686.rpm VP8 Video Codec SDK
libvpx-1.3.0-5.el6_5.x86_64.rpm VP8 Video Codec SDK
libvpx-devel-1.3.0-5.el6_5.i686.rpm Development files for libvpx
libvpx-devel-1.3.0-5.el6_5.x86_64.rpm Development files for libvpx
libvpx-utils-1.3.0-5.el6_5.x86_64.rpm VP8 utilities and tools
libwacom-0.16-2.el6.i686.rpm Tablet Information Client Library
Advertisement
Advertisement